<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Webpack App</title>
    <script src="https://kit.fontawesome.com/3e1f3efdae.js" crossorigin="anonymous"></script>

<link href="main.css" rel="stylesheet"></head>

<body>
    <div class="loader">
    <img src="imgs/preloader.4690f843f0bc13f53cba29d9385d3c24.gif" alt="Loading..." />
</div>

<link href="https://fonts.googleapis.com/css?family=Lato:400,700&display=swap" rel="stylesheet">

    <header class="new-h-101 d-flex">
    <div class="d-flex justify-content-between m-auto w-100 px-5">
        <div class="logo">
            <a href="#">
                <img class="logo__icon" src="imgs/logoOKRs.945e679b212e693d2133c9b5ac10aac7.png" alt="Logo">
            </a>
        </div>
        <div class="contact">
            <img src="imgs/contact.004e88242ae0b72537cdd9e5f7a02a76.svg" alt="Liên hệ" class="contact__icon">
            <a href="#" class="contact__link">
                <span class="contact__title">Liên hệ</span>
            </a>
        </div>
    </div>
</header>
    <div class="container-z-c4">
        <div class="container-z-c3-welcome mb-5 mt-0">
            <h1 class="text-z-c3-title text-center mb-3">Tạo tài khoản cá nhân</h1>
            <div class="container-z-c6 container-z-c6-border container-z-c6-profile p-5 mb-5">
                <div class="text-center">
                    <div class="avatar-z-c1 pb-4">
                        <div class="avatar-z-c1-image" style="background-image: url('imgs/avatar.ecfa3322f994753cc8cb00bbf9a49445.svg');">
                        </div>
                        <label for="myfile" class="avatar-z-c1-upload">
                            <img src="imgs/camera.f4f8f7c88aea69c3e2ea25f243c10800.svg" alt="" srcset="" />
                        </label>
                        <input type="file" id="myfile" name="myfile" class="d-none" />
                    </div>
                </div>
                <div class="container mb-5">
                    <div class="row">
                        <div class="col-3">
                            <div class="form-group">
                                <label for="lastname" class="mb-1">
                                    Họ và tên đệm <span class="text-z-c7">*</span>
                                </label>
                                <input name="lastname" id="lastname" type="text" class="form-control input-z-c2" />
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="form-group">
                                <label for="firstname" class="mb-1">
                                    Tên <span class="text-z-c7">*</span>
                                </label>
                                <input name="firstname" id="firstname" type="text" class="form-control input-z-c2" />
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="form-group">
                                <label for="nickname" class="mb-1">
                                    Nickname <span class="text-z-c7"></span>
                                </label>
                                <input name="nickname" id="nickname" type="text" class="form-control input-z-c2" />
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="form-group">
                                <label for="gender" class="mb-1">
                                    Giới tính <span class="text-z-c7">*</span>
                                </label>
                                <div class="select-z-c1">
                                    <select name="search" id="search111" class="form-control select2">
                                        <option value="AL">Nam</option>
                                    </select>
                                    <div class="select-z-c1-icon">
                                        <i class="fas fa-chevron-down"></i>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label for="birthday" class="mb-1">
                                    Ngày sinh <span class="text-z-c7">*</span>
                                </label>
                                <input name="birthday" id="birthday" type="text"
                                    class="form-control datepicker-here input-z-c2" data-language='en'
                                    data-date-format="dd/mm/yyyy" />
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label for="phonenumber" class="mb-1">
                                    Số điện thoại <span class="text-z-c7">*</span>
                                </label>
                                <input name="phonenumber" id="phonenumber" type="text" class="form-control input-z-c2" />
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label for="" class="mb-1">
                                    Email <span class="text-z-c7">*</span>
                                </label>
                                <input name="email" id="email" type="text" class="form-control input-z-c2" />
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label for="facebook" class="mb-1">
                                    Link trang Facebook <span class="text-z-c7"></span>
                                </label>
                                <input name="facebook" id="facebook" type="text" class="form-control input-z-c2" />
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="form-group">
                                <label for="part" class="mb-1">
                                    Bộ phận <span class="text-z-c7">*</span>
                                </label>
                                <div class="select-z-c1">
                                    <select name="search" id="search114" class="form-control select2">
                                        <option value="AL">Nam</option>
                                    </select>
                                    <div class="select-z-c1-icon">
                                        <i class="fas fa-chevron-down"></i>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="form-group">
                                <label for="department" class="mb-1">
                                    Phòng ban <span class="text-z-c7">*</span>
                                </label>
                                <div class="select-z-c1">
                                    <select name="search" id="search113" class="form-control select2">
                                        <option value="AL">Nam</option>
                                    </select>
                                    <div class="select-z-c1-icon">
                                        <i class="fas fa-chevron-down"></i>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-2">
                            <div class="form-group">
                                <label for="location" class="mb-1">
                                    Vị trí <span class="text-z-c7">*</span>
                                </label>
                                <div class="select-z-c1">
                                    <select name="search" id="search112" class="form-control select2">
                                        <option value="AL">Nam</option>
                                    </select>
                                    <div class="select-z-c1-icon">
                                        <i class="fas fa-chevron-down"></i>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="bossemail" class="mb-1">
                                    Email của quản lý trực tiếp (Sếp)
                                    <span class="text-z-c7">*</span>
                                </label>
                                <input name="bossemail" id="bossemail" type="text" class="form-control input-z-c2" />
                            </div>
                        </div>

                    </div>
                </div>
                <div class="text-center">
                    <button class="btn btn-z-c5 btn-z-c5-secondary mr-3">
                        <div class="btn-z-c5-container">
                            <i class="fas fa-chevron-left btn-z-c5-icon btn-z-c5-icon-left"></i>
                            <div class="btn-z-c5-title">
                                Quay lại
                            </div>
                        </div>
                    </button>
                    <button class="btn btn-z-c5 btn-z-c5-primary">
                        <div class="btn-z-c5-container">
                            <div class="btn-z-c5-title">
                                Hoàn thành
                            </div>
                            <i class="fas fa-chevron-right btn-z-c5-icon btn-z-c5-icon-right"></i>
                        </div>
                    </button>
                </div>

            </div>
        </div>
    </div>
    <footer class="header-z fixed-bottom text-center bg-white">
    <div class="border-top d-inline-block py-2 px-5">
        OKR thần thánh - Hệ thống quản trị mục tiêu hàng đầu Việt Nam được phát triển bởi mOmtech
    </div>
</footer>
    <script type="text/javascript" src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"></script>
<script type="text/javascript" src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
<script>
  window.addEventListener("load", function () {
    const loader = document.querySelector(".loader");
    loader.className += " hidden";
  });
  $(".header-z-c1-name").on({
    // click: function () {
    //     $(".header-z-c1-name-menu").css('visibility', 'visible');
    // },
    mouseenter: function () {
      // $(this).addClass("inside");
      $(".header-z-c1-name-menu").css('visibility', 'visible');
    },
    mouseleave: function () {
      // $(this).removeClass("inside");
      $(".header-z-c1-name-menu").css('visibility', 'hidden');
    }
  });
  $(".header-z-c1-name-menu").on({

    mouseenter: function () {
      $(".header-z-c1-name-menu").css('visibility', 'visible');
    },
    mouseleave: function () {
      $(".header-z-c1-name-menu").css('visibility', 'hidden');
    }
  });
</script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.12/js/select2.full.min.js">
    </script>
    <script type="text/javascript"
        src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.min.js"></script>
    <script type="text/javascript"
        src="https://cdnjs.cloudflare.com/ajax/libs/air-datepicker/2.2.3/js/datepicker.min.js"></script>
    <script type="text/javascript"
        src="https://cdnjs.cloudflare.com/ajax/libs/air-datepicker/2.2.3/js/i18n/datepicker.en.min.js"></script>
    <script>
        if ($(".select2").length) {
            $(".select2").select2();
        }
        jQuery.validator.addMethod("cDate", function (value, element) {
            return this.optional(element) ||
                /^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$/
                .test(value);
            test(value);
        }, 'Please enter a valid email address.');
        jQuery.validator.addMethod("cEmail", function (value, element) {
            return this.optional(element) || /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(value);
            test(value);
        }, 'Please enter a valid email address.');
        jQuery.validator.addMethod("cPhoneNumber", function (value, element) {
            return this.optional(element) || /^\d{10}$/.test(value);
            test(value);
        }, 'Please enter a valid email address.');
        if ($("#createProfile").length) {
            $("#createProfile").validate({
                errorPlacement: function (error, element) {
                    if (element.hasClass("select2")) {
                        error.insertAfter(element.next("span"));
                    } else {
                        error.insertAfter(element);
                    }
                },
                rules: {
                    lastname: "required",
                    firstname: "required",
                    birthday: {
                        required: true,
                        cDate: true
                    },
                    email: {
                        required: true,
                        cEmail: true,
                    },
                    part: "required",
                    department: "required",
                    gender: "required",
                    phonenumber: {
                        required: true,
                        cPhoneNumber: true
                    },
                    location: "required",
                    bossemail: {
                        required: true,
                        cEmail: true,
                    },
                },
                messages: {
                    lastname: "Nhập họ",
                    firstname: "Nhập tên",
                    birthday: {
                        required: "Nhập ngày sinh",
                        cDate: "Sai định dạng ngày sinh"
                    },
                    email: {
                        required: "Nhập địa chỉ Email",
                        cEmail: "Sai địa chỉ Email",
                    },
                    part: "Chọn bộ phận",
                    department: "Chọn phòng ban",
                    gender: "Chọn giới tính",
                    phonenumber: {
                        required: "Nhập số điện thoại",
                        cPhoneNumber: "Sai định dạng số điện thoại",
                    },
                    location: "Chọn vị trí",
                    bossemail: {
                        required: "Nhập địa chỉ Email",
                        cEmail: "Sai địa chỉ Email",
                    },
                },
            });
        }
    </script>
<script type="text/javascript" src="main.bundle.js"></script><script type="text/javascript" src="vendor.bundle.js"></script></body>

</html>